Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.personalization
Class PznPortletRequestObjectImplementor

    java.lang.Object
      com.ibm.websphere.personalization.PznRequestObjectImplementor
          com.ibm.websphere.personalization.PznPortletRequestObjectImplementor

All Implemented Interfaces:
  PznPortletRequestObjectInterface, PznRequestObjectInfoInterface, PznRequestObjectInterface, java.io.Serializable

    public class PznPortletRequestObjectImplementor

extends PznRequestObjectImplementor
implements PznPortletRequestObjectInterface, java.io.Serializable

This object acts as a simulated request object for Personalization API calls when an instance of HttpServletRequest or PortletRequest is not available.

When compared to PznRequestObjectImplementor, this class provides a few extra methods which are useful in simulating a PortletRequest.

This class internally references Maps to store attribute names and values.

See Also:
  `ContentSpot.ContentSpot(String, Object)`, `RuleTrigger.setRequest(PznPortletRequestObjectInterface)`, Serialized Form

Constructor Summary
`PznPortletRequestObjectImplementor()`
`PznPortletRequestObjectImplementor(java.lang.String userId)`

Method Summary
`java.lang.String` | `getPortalUserId()`
`java.lang.Object` | `getPortalUserObject()` Should return an instance of com.ibm.portal.um.User representing the current user.
`java.lang.Object` | `getPortletAttribute(java.lang.String itemName)`
`java.util.Enumeration` | `getPortletAttributeNames()`
`java.lang.Object` | `getPortletSetting(java.lang.String itemName)`
`void` | `removePortletAttribute(java.lang.String itemName)`
`void` | `removePortletSetting(java.lang.String itemName)`
`void` | `setPortalUserId(java.lang.String userId)`
`boolean` | `setPortletAttribute(java.lang.String itemName, java.lang.Object itemValue)`
`boolean` | `setPortletSetting(java.lang.String itemName, java.lang.Object itemValue)`

Methods inherited from class com.ibm.websphere.personalization.PznRequestObjectImplementor
`addCookie, getContextPath, getCookie, getCookies, getLocale, getRemoteHost, getRemoteUser, getRequestAttribute, getRequestAttributeNames, getRequestInfo, getRequestParameter, getRequestParameterNames, getRequestParameterValues, getResourceContext, getServerName, getSessionAttribute, getSessionAttributeNames, getSessionInfo, getUserPrincipal, removeRequestAttribute, removeSessionAttribute, setContextPath, setLocale, setRemoteHost, setRemoteUser, setRequestAttribute, setRequestParameter, setRequestParameterValues, setServerName, setSessionAttribute, setUserPrincipal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.ibm.websphere.personalization.PznRequestObjectInterface
`addCookie, getContextPath, getCookie, getCookies, getLocale, getRemoteHost, getRemoteUser, getRequestAttribute, getRequestAttributeNames, getRequestParameter, getRequestParameterNames, getRequestParameterValues, getResourceContext, getServerName, getSessionAttribute, getSessionAttributeNames, getUserPrincipal, removeRequestAttribute, removeSessionAttribute, setContextPath, setLocale, setRemoteUser, setRequestAttribute, setRequestParameter, setRequestParameterValues, setSessionAttribute, setUserPrincipal`

Constructor Detail

### PznPortletRequestObjectImplementor

    public PznPortletRequestObjectImplementor()

### PznPortletRequestObjectImplementor

    public PznPortletRequestObjectImplementor(java.lang.String userId)

Method Detail

### getPortletSetting

    public java.lang.Object getPortletSetting(java.lang.String itemName)

  Specified by:
    `getPortletSetting` in interface `PznPortletRequestObjectInterface`

### setPortletSetting

    public boolean setPortletSetting(java.lang.String itemName,
                                     java.lang.Object itemValue)

### removePortletSetting

    public void removePortletSetting(java.lang.String itemName)

### getPortletAttribute

    public java.lang.Object getPortletAttribute(java.lang.String itemName)

  Specified by:
    `getPortletAttribute` in interface `PznPortletRequestObjectInterface`

### setPortletAttribute

    public boolean setPortletAttribute(java.lang.String itemName,
                                       java.lang.Object itemValue)

  Specified by:
    `setPortletAttribute` in interface `PznPortletRequestObjectInterface`

### removePortletAttribute

    public void removePortletAttribute(java.lang.String itemName)

  Specified by:
    `removePortletAttribute` in interface `PznPortletRequestObjectInterface`

### getPortletAttributeNames

    public java.util.Enumeration getPortletAttributeNames()

  Specified by:
    `getPortletAttributeNames` in interface `PznPortletRequestObjectInterface`

### getPortalUserId

    public java.lang.String getPortalUserId()

  Specified by:
    `getPortalUserId` in interface `PznPortletRequestObjectInterface`

### setPortalUserId

    public void setPortalUserId(java.lang.String userId)

### getPortalUserObject

    public java.lang.Object getPortalUserObject()

  Should return an instance of com.ibm.portal.um.User representing the current user. For support of legacy user object types, this method is made to return Object.

  Specified by:
    `getPortalUserObject` in interface `PznPortletRequestObjectInterface`
  Returns:
    An instance of com.ibm.portal.um.User

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD